<link rel="import" href="chrome://resources/html/i18n_behavior.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-styles/color.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-icon/iron-icon.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/oobe_dialog.html">

<dom-module id="oobe-network-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <oobe-dialog id="networkDialog" role="dialog" on-show-dialog="onShown_"
        title-key="networkSectionTitle"
        aria-label$="[[i18nDynamic(locale, 'networkSectionTitle')]]"
        has-buttons>
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-network-32:dialog-icon-wifi"
          icon2x="oobe-network-64:dialog-icon-wifi">
      </hd-iron-icon>
      <div slot="subtitle" hidden$="[[isDemoModeSetup]]">
        [[i18nDynamic(locale, 'networkSectionHint')]]
      </div>
      <div slot="footer" class="layout vertical">
        <network-select-login id="networkSelectLogin"
            on-selected-network-connected="onNetworkConnected_"
            is-network-connected="{{isConnected_}}">
        </network-select-login>
      </div>
      <div slot="back-navigation">
        <oobe-back-button on-click="onBackClicked_"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-next-button id="nextButton" disabled="[[!isConnected_]]"
            on-click="onNextClicked_"></oobe-next-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
